include '..\..\..\source\designtime.inc'
include 'winconst.inc'


DesignTimeInfo                                     \
                                                   \
        'LISTBOX',                                 \
        'Listbox control',                         \
        'Standard',                                \
        'Listbox',                                 \
        WS_CHILD+WS_VISIBLE+WS_BORDER,             \       ; default style
        WS_EX_CLIENTEDGE,                          \       ; default ex style
        128, 128,                                  \
        <                                          \       ; style names
            LBS_DISABLENOSCROLL,   'Shows a disabled scrollbar if the listbox doesn''t contain enough items to scroll', \
            LBS_EXTENDEDSEL,       'Allows multiple items to be selected using the SHIFT key', \
            LBS_HASSTRINGS,        'Specifies that the listbox contains string items',\
            LBS_MULTICOLUMN,       'Specifies a multicolumn listbox',\
            LBS_MULTIPLESEL,       'Turns selection on and off when user clicks an item of the listbox',\
            LBS_NOINTEGRALHEIGHT,  'Specifies that height of the listbox isn''t automatically fixed',\
            LBS_NOREDRAW,          'Makes listbox''s appearance not update when changes are made',\
            LBS_NOSEL,             'Prevents user from selecting any items of the listbox',\
            LBS_NOTIFY,            'Makes the listbox send a notification when user double clicks any item',\
            LBS_OWNERDRAWFIXED,    'Specifies that the listbox''s owner is responsible for drawing items, and that they are the same height',\
            LBS_OWNERDRAWVARIABLE, 'Specifies that the listbox''s owner is responsible for drawing items, and that they are different in height', \
            LBS_SORT,              'Makes listbox sort items alphabetically',\
            LBS_USETABSTOPS,       'Makes listbox expand tabs in strings',\
            LBS_WANTKEYBOARDINPUT, 'Makes listbox send WM_VKEYTOITEM message when the key is pressed and the listbox has an input focus'\
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        $00000000,                                 \            ; This is StyleMaskAnd
        WS_CHILD,                                  \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00000000,                                 \            ; This is StyleExMaskOr
        $00000000,                                 \            ; This is SubtypeMask
        NONE,                                      \
        NONE,                                      \            ; Library file NULL, because it's standard component.
        'listbox.ico',                             \            ; Image for icon
\
\  ; ComboBox class
\
        'COMBOBOX',                                \
        'Combobox control',                        \
        'Standard',                                \
        'Combobox',                                \
        WS_CHILD+WS_VISIBLE+CBS_DROPDOWN,          \       ; default style
        0,                                         \       ; default ex style
        128, 25,                                   \
        <                                          \       ; style names
            CBS_AUTOHSCROLL,       'Automatically scrolls text in edit when user types something at the end of the line', \
            CBS_DISABLENOSCROLL,   'Displays disabled scrollbar when list doesn''t contain enough items to scroll', \
            CBS_HASSTRINGS,        'Specifies that owner-drawn combobox contains string items', \
            CBS_LOWERCASE,         'Converts to lowercase all texts in combobx', \
            CBS_UPPERCASE,         'Converts to uppercase all texts in combobx', \
            CBS_NOINTEGRALHEIGHT,  'Specifies that height of the combobox isn''t automatically fixed', \
            CBS_OEMCONVERT,        'Converts text in edit control to the OEM character set', \
            CBS_OWNERDRAWFIXED,    'Specifies that the combobox''s owner is responsible for drawing items, and that they are the same height', \
            CBS_OWNERDRAWVARIABLE, 'Specifies that the combobox''s owner is responsible for drawing items, and that they are different in height', \
            CBS_SORT,              'Makes combobox sort items alphabetically' \
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        $00000000,                                 \            ; This is StyleMaskAnd
        WS_CHILD,                                  \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00000000,                                 \            ; This is StyleExMaskOr
        $00000003,                                 \            ; This is SubtypeMask
        <                                          \
          CBS_DROPDOWN,     'Dropdown combobox',  \
          CBS_DROPDOWNLIST, 'Dropdown listbox',   \
          CBS_SIMPLE,       'Simple combobox'     \
        >,                                         \            ; This is SubtipeRange
        NONE,                                      \            ; Library file NULL, because it's standard component.
        'combobox.ico'                                          ; Image for icon