; _______________________________________________________________________________________
;|                                                                                       |
;| ..:: Fresh IDE ::..  template project.                                                |
;|_______________________________________________________________________________________|
;
;  Description: FreshLib portable GUI application.
;
;  Target OS: Any, supported by FreshLib
;
;  Dependencies: FreshLib
;
;  Notes:
;_________________________________________________________________________________________

include "%lib%/freshlib.inc"

@BinaryType GUI

include "%lib%/freshlib.asm"

; include your includes here.
include "MainForm.asm"

start:
        InitializeAll

        stdcall Create, CApplication
        mov     [pApplication], ebx

        stdcall CreateFromTemplate, frmMainForm, 0
        mov     ecx, [pApplication]
        mov     [ecx+TApplication.MainWindow], frmMain

        stdcall Run

        FinalizeAll
        stdcall Terminate, 0


@AllImportEmbeded       ; or @AllImportSection
@AllDataEmbeded         ; or @AllDataSection