; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: libX11 (XLib) import library.
;
;  Target OS: Linux
;
;  Dependencies:
;
;  Notes: Needs editing of the function arguments
;_________________________________________________________________________________________


import_proto 'libX11.so.6',                                                                                                                             \
        XActivateScreenSaver                    ,<NONE>,                                    'XActivateScreenSaver',                                     \
        XAddConnectionWatch                     ,<NONE>,                                    'XAddConnectionWatch',                                      \
        XAddExtension                           ,<NONE>,                                    'XAddExtension',                                            \
        XAddHost                                ,<NONE>,                                    'XAddHost',                                                 \
        XAddHosts                               ,<NONE>,                                    'XAddHosts',                                                \
        XAddPixel                               ,<NONE>,                                    'XAddPixel',                                                \
        XAddToExtensionList                     ,<NONE>,                                    'XAddToExtensionList',                                      \
        XAddToSaveSet                           ,<NONE>,                                    'XAddToSaveSet',                                            \
        XAllPlanes                              ,<NONE>,                                    'XAllPlanes',                                               \
        XAllocClassHint                         ,<NONE>,                                    'XAllocClassHint',                                          \
        XAllocColor                             ,<NONE>,                                    'XAllocColor',                                              \
        XAllocColorCells                        ,<NONE>,                                    'XAllocColorCells',                                         \
        XAllocColorPlanes                       ,<NONE>,                                    'XAllocColorPlanes',                                        \
        XAllocIconSize                          ,<NONE>,                                    'XAllocIconSize',                                           \
        XAllocNamedColor                        ,<NONE>,                                    'XAllocNamedColor',                                         \
        XAllocSizeHints                         ,<NONE>,                                    'XAllocSizeHints',                                          \
        XAllocStandardColormap                  ,<NONE>,                                    'XAllocStandardColormap',                                   \
        XAllocWMHints                           ,<NONE>,                                    'XAllocWMHints',                                            \
        XAllowEvents                            ,<NONE>,                                    'XAllowEvents',                                             \
        XAutoRepeatOff                          ,<NONE>,                                    'XAutoRepeatOff',                                           \
        XAutoRepeatOn                           ,<NONE>,                                    'XAutoRepeatOn',                                            \
        XBaseFontNameListOfFontSet              ,<NONE>,                                    'XBaseFontNameListOfFontSet',                               \
        XBell                                   ,<NONE>,                                    'XBell',                                                    \
        XBitmapBitOrder                         ,<NONE>,                                    'XBitmapBitOrder',                                          \
        XBitmapPad                              ,<NONE>,                                    'XBitmapPad',                                               \
        XBitmapUnit                             ,<NONE>,                                    'XBitmapUnit',                                              \
        XBlackPixel                             ,<NONE>,                                    'XBlackPixel',                                              \
        XBlackPixelOfScreen                     ,<NONE>,                                    'XBlackPixelOfScreen',                                      \
        XCellsOfScreen                          ,<NONE>,                                    'XCellsOfScreen',                                           \
        XChangeActivePointerGrab                ,<NONE>,                                    'XChangeActivePointerGrab',                                 \
        XChangeGC                               ,<NONE>,                                    'XChangeGC',                                                \
        XChangeKeyboardControl                  ,<NONE>,                                    'XChangeKeyboardControl',                                   \
        XChangeKeyboardMapping                  ,<NONE>,                                    'XChangeKeyboardMapping',                                   \
        XChangePointerControl                   ,<NONE>,                                    'XChangePointerControl',                                    \
        XChangeProperty                         ,<NONE>,                                    'XChangeProperty',                                          \
        XChangeSaveSet                          ,<NONE>,                                    'XChangeSaveSet',                                           \
        XChangeWindowAttributes                 ,<.display, .hwnd, .valmask, .pSetWinAttr>, 'XChangeWindowAttributes',                                  \
        XCheckIfEvent                           ,<NONE>,                                    'XCheckIfEvent',                                            \
        XCheckMaskEvent                         ,<NONE>,                                    'XCheckMaskEvent',                                          \
        XCheckTypedEvent                        ,<.display, .event_type, .pEvent>,          'XCheckTypedEvent',                                         \
        XCheckTypedWindowEvent                  ,<NONE>,                                    'XCheckTypedWindowEvent',                                   \
        XCheckWindowEvent                       ,<NONE>,                                    'XCheckWindowEvent',                                        \
        XCirculateSubwindows                    ,<NONE>,                                    'XCirculateSubwindows',                                     \
        XCirculateSubwindowsDown                ,<NONE>,                                    'XCirculateSubwindowsDown',                                 \
        XCirculateSubwindowsUp                  ,<NONE>,                                    'XCirculateSubwindowsUp',                                   \
        XClearArea                              ,<NONE>,                                    'XClearArea',                                               \
        XClearWindow                            ,<NONE>,                                    'XClearWindow',                                             \
        XClipBox                                ,<NONE>,                                    'XClipBox',                                                 \
        XCloseDisplay                           ,<NONE>,                                    'XCloseDisplay',                                            \
        XCloseIM                                ,<NONE>,                                    'XCloseIM',                                                 \
        XCloseOM                                ,<NONE>,                                    'XCloseOM',                                                 \
        XConfigureWindow                        ,<NONE>,                                    'XConfigureWindow',                                         \
        XConnectionNumber                       ,<NONE>,                                    'XConnectionNumber',                                        \
        XContextDependentDrawing                ,<NONE>,                                    'XContextDependentDrawing',                                 \
        XContextualDrawing                      ,<NONE>,                                    'XContextualDrawing',                                       \
        XConvertCase                            ,<NONE>,                                    'XConvertCase',                                             \
        XConvertSelection                       ,<.display, .selection, .target, .property, .requestor, .time>, 'XConvertSelection',                    \
        XCopyArea                               ,<NONE>,                                                'XCopyArea',                                    \
        XCopyColormapAndFree                    ,<NONE>,                                                'XCopyColormapAndFree',                         \
        XCopyGC                                 ,<NONE>,                                                'XCopyGC',                                      \
        XCopyPlane                              ,<NONE>,                                                'XCopyPlane',                                   \
        XCreateBitmapFromData                   ,<NONE>,                                                'XCreateBitmapFromData',                        \
        XCreateColormap                         ,<NONE>,                                                'XCreateColormap',                              \
        XCreateFontCursor                       ,<NONE>,                                                'XCreateFontCursor',                            \
        XCreateFontSet                          ,<NONE>,                                                'XCreateFontSet',                               \
        XCreateGC                               ,<NONE>,                                                'XCreateGC',                                    \
        XCreateGlyphCursor                      ,<NONE>,                                                'XCreateGlyphCursor',                           \
        XCreateIC                               ,<NONE>,                                                'XCreateIC',                                    \
        XCreateImage                            ,<NONE>,                                                'XCreateImage',                                 \
        XCreateOC                               ,<NONE>,                                                'XCreateOC',                                    \
        XCreatePixmap                           ,<NONE>,                                                'XCreatePixmap',                                \
        XCreatePixmapCursor                     ,<NONE>,                                                'XCreatePixmapCursor',                          \
        XCreatePixmapFromBitmapData             ,<NONE>,                                                'XCreatePixmapFromBitmapData',                  \
        XCreateRegion                           ,<NONE>,                                                'XCreateRegion',                                \
        XCreateSimpleWindow                     ,<.display, .parent, .x, .y, .width, .height, .widthBorder, .clBorder, .clBackground>, 'XCreateSimpleWindow',                    \
        XCreateWindow                           ,<.display, .parent, .x, .y, .width, .height, .widthBorder, .depth, .class, .visual, .valuemask, .pAttributes>, 'XCreateWindow', \
        XDefaultColormap                        ,<NONE>,                                                'XDefaultColormap',                             \
        XDefaultColormapOfScreen                ,<NONE>,                                                'XDefaultColormapOfScreen',                     \
        XDefaultDepth                           ,<NONE>,                                                'XDefaultDepth',                                \
        XDefaultDepthOfScreen                   ,<NONE>,                                                'XDefaultDepthOfScreen',                        \
        XDefaultGC                              ,<NONE>,                                                'XDefaultGC',                                   \
        XDefaultGCOfScreen                      ,<NONE>,                                                'XDefaultGCOfScreen',                           \
        XDefaultRootWindow                      ,<NONE>,                                                'XDefaultRootWindow',                           \
        XDefaultScreen                          ,<NONE>,                                                'XDefaultScreen',                               \
        XDefaultScreenOfDisplay                 ,<NONE>,                                                'XDefaultScreenOfDisplay',                      \
        XDefaultString                          ,<NONE>,                                                'XDefaultString',                               \
        XDefaultVisual                          ,<NONE>,                                                'XDefaultVisual',                               \
        XDefaultVisualOfScreen                  ,<NONE>,                                                'XDefaultVisualOfScreen',                       \
        XDefineCursor                           ,<NONE>,                                                'XDefineCursor',                                \
        XDeleteContext                          ,<NONE>,                                                'XDeleteContext',                               \
        XDeleteModifiermapEntry                 ,<NONE>,                                                'XDeleteModifiermapEntry',                      \
        XDeleteProperty                         ,<NONE>,                                                'XDeleteProperty',                              \
        XDestroyIC                              ,<NONE>,                                                'XDestroyIC',                                   \
        XDestroyImage                           ,<NONE>,                                                'XDestroyImage',                                \
        XDestroyOC                              ,<NONE>,                                                'XDestroyOC',                                   \
        XDestroyRegion                          ,<NONE>,                                                'XDestroyRegion',                               \
        XDestroySubwindows                      ,<NONE>,                                                'XDestroySubwindows',                           \
        XDestroyWindow                          ,<NONE>,                                                'XDestroyWindow',                               \
        XDirectionalDependentDrawing            ,<NONE>,                                                'XDirectionalDependentDrawing',                 \
        XDisableAccessControl                   ,<NONE>,                                                'XDisableAccessControl',                        \
        XDisplayCells                           ,<NONE>,                                                'XDisplayCells',                                \
        XDisplayHeight                          ,<NONE>,                                                'XDisplayHeight',                               \
        XDisplayHeightMM                        ,<NONE>,                                                'XDisplayHeightMM',                             \
        XDisplayKeycodes                        ,<NONE>,                                                'XDisplayKeycodes',                             \
        XDisplayMotionBufferSize                ,<NONE>,                                                'XDisplayMotionBufferSize',                     \
        XDisplayName                            ,<NONE>,                                                'XDisplayName',                                 \
        XDisplayOfIM                            ,<NONE>,                                                'XDisplayOfIM',                                 \
        XDisplayOfOM                            ,<NONE>,                                                'XDisplayOfOM',                                 \
        XDisplayOfScreen                        ,<NONE>,                                                'XDisplayOfScreen',                             \
        XDisplayPlanes                          ,<NONE>,                                                'XDisplayPlanes',                               \
        XDisplayString                          ,<NONE>,                                                'XDisplayString',                               \
        XDisplayWidth                           ,<NONE>,                                                'XDisplayWidth',                                \
        XDisplayWidthMM                         ,<NONE>,                                                'XDisplayWidthMM',                              \
        XDoesBackingStore                       ,<NONE>,                                                'XDoesBackingStore',                            \
        XDoesSaveUnders                         ,<NONE>,                                                'XDoesSaveUnders',                              \
        XDrawArc                                ,<NONE>,                                                'XDrawArc',                                     \
        XDrawArcs                               ,<NONE>,                                                'XDrawArcs',                                    \
        XDrawImageString                        ,<NONE>,                                                'XDrawImageString',                             \
        XDrawImageString16                      ,<NONE>,                                                'XDrawImageString16',                           \
        XDrawLine                               ,<NONE>,                                                'XDrawLine',                                    \
        XDrawLines                              ,<NONE>,                                                'XDrawLines',                                   \
        XDrawPoint                              ,<NONE>,                                                'XDrawPoint',                                   \
        XDrawPoints                             ,<NONE>,                                                'XDrawPoints',                                  \
        XDrawRectangle                          ,<NONE>,                                                'XDrawRectangle',                               \
        XDrawRectangles                         ,<NONE>,                                                'XDrawRectangles',                              \
        XDrawSegments                           ,<NONE>,                                                'XDrawSegments',                                \
        XDrawString                             ,<NONE>,                                                'XDrawString',                                  \
        XDrawString16                           ,<NONE>,                                                'XDrawString16',                                \
        XDrawText                               ,<NONE>,                                                'XDrawText',                                    \
        XDrawText16                             ,<NONE>,                                                'XDrawText16',                                  \
        XEHeadOfExtensionList                   ,<NONE>,                                                'XEHeadOfExtensionList',                        \
        XESetBeforeFlush                        ,<NONE>,                                                'XESetBeforeFlush',                             \
        XESetCloseDisplay                       ,<NONE>,                                                'XESetCloseDisplay',                            \
        XESetCopyGC                             ,<NONE>,                                                'XESetCopyGC',                                  \
        XESetCreateFont                         ,<NONE>,                                                'XESetCreateFont',                              \
        XESetCreateGC                           ,<NONE>,                                                'XESetCreateGC',                                \
        XESetError                              ,<NONE>,                                                'XESetError',                                   \
        XESetErrorString                        ,<NONE>,                                                'XESetErrorString',                             \
        XESetEventToWire                        ,<NONE>,                                                'XESetEventToWire',                             \
        XESetFlushGC                            ,<NONE>,                                                'XESetFlushGC',                                 \
        XESetFreeFont                           ,<NONE>,                                                'XESetFreeFont',                                \
        XESetFreeGC                             ,<NONE>,                                                'XESetFreeGC',                                  \
        XESetPrintErrorValues                   ,<NONE>,                                                'XESetPrintErrorValues',                        \
        XESetWireToError                        ,<NONE>,                                                'XESetWireToError',                             \
        XESetWireToEvent                        ,<NONE>,                                                'XESetWireToEvent',                             \
        XEmptyRegion                            ,<NONE>,                                                'XEmptyRegion',                                 \
        XEnableAccessControl                    ,<NONE>,                                                'XEnableAccessControl',                         \
        XEqualRegion                            ,<NONE>,                                                'XEqualRegion',                                 \
        XEventMaskOfScreen                      ,<NONE>,                                                'XEventMaskOfScreen',                           \
        XEventsQueued                           ,<NONE>,                                                'XEventsQueued',                                \
        XExtendedMaxRequestSize                 ,<NONE>,                                                'XExtendedMaxRequestSize',                      \
        XExtentsOfFontSet                       ,<NONE>,                                                'XExtentsOfFontSet',                            \
        XFetchBuffer                            ,<.display, .nbytes_return, .buffer>,                   'XFetchBuffer',                                 \
        XFetchBytes                             ,<.display, .nbytes_return>,                            'XFetchBytes',                                  \
        XFetchName                              ,<.display, .window, .window_name_return>,              'XFetchName',                                   \
        XFillArc                                ,<NONE>,                                                'XFillArc',                                     \
        XFillArcs                               ,<NONE>,                                                'XFillArcs',                                    \
        XFillPolygon                            ,<NONE>,                                                'XFillPolygon',                                 \
        XFillRectangle                          ,<NONE>,                                                'XFillRectangle',                               \
        XFillRectangles                         ,<NONE>,                                                'XFillRectangles',                              \
        XFilterEvent                            ,<NONE>,                                                'XFilterEvent',                                 \
        XFindContext                            ,<NONE>,                                                'XFindContext',                                 \
        XFindOnExtensionList                    ,<NONE>,                                                'XFindOnExtensionList',                         \
        XFlush                                  ,<NONE>,                                                'XFlush',                                       \
        XFlushGC                                ,<NONE>,                                                'XFlushGC',                                     \
        XFontsOfFontSet                         ,<NONE>,                                                'XFontsOfFontSet',                              \
        XForceScreenSaver                       ,<NONE>,                                                'XForceScreenSaver',                            \
        XFree                                   ,<.ptr>,                                                'XFree',                                        \
        XFreeColormap                           ,<NONE>,                                                'XFreeColormap',                                \
        XFreeColors                             ,<NONE>,                                                'XFreeColors',                                  \
        XFreeCursor                             ,<NONE>,                                                'XFreeCursor',                                  \
        XFreeExtensionList                      ,<NONE>,                                                'XFreeExtensionList',                           \
        XFreeFont                               ,<NONE>,                                                'XFreeFont',                                    \
        XFreeFontInfo                           ,<NONE>,                                                'XFreeFontInfo',                                \
        XFreeFontNames                          ,<NONE>,                                                'XFreeFontNames',                               \
        XFreeFontPath                           ,<NONE>,                                                'XFreeFontPath',                                \
        XFreeFontSet                            ,<NONE>,                                                'XFreeFontSet',                                 \
        XFreeGC                                 ,<NONE>,                                                'XFreeGC',                                      \
        XFreeModifiermap                        ,<NONE>,                                                'XFreeModifiermap',                             \
        XFreePixmap                             ,<NONE>,                                                'XFreePixmap',                                  \
        XFreeStringList                         ,<NONE>,                                                'XFreeStringList',                              \
        XGContextFromGC                         ,<NONE>,                                                'XGContextFromGC',                              \
        XGeometry                               ,<NONE>,                                                'XGeometry',                                    \
        XGetAtomName                            ,<NONE>,                                                'XGetAtomName',                                 \
        XGetAtomNames                           ,<NONE>,                                                'XGetAtomNames',                                \
        XGetClassHint                           ,<NONE>,                                                'XGetClassHint',                                \
        XGetCommand                             ,<NONE>,                                                'XGetCommand',                                  \
        XGetDefault                             ,<NONE>,                                                'XGetDefault',                                  \
        XGetErrorDatabaseText                   ,<NONE>,                                                'XGetErrorDatabaseText',                        \
        XGetErrorText                           ,<NONE>,                                                'XGetErrorText',                                \
        XGetFontPath                            ,<NONE>,                                                'XGetFontPath',                                 \
        XGetFontProperty                        ,<NONE>,                                                'XGetFontProperty',                             \
        XGetGCValues                            ,<NONE>,                                                'XGetGCValues',                                 \
        XGetGeometry                            ,<NONE>,                                                'XGetGeometry',                                 \
        XGetICValues                            ,<NONE>,                                                'XGetICValues',                                 \
        XGetIMValues                            ,<NONE>,                                                'XGetIMValues',                                 \
        XGetIconName                            ,<NONE>,                                                'XGetIconName',                                 \
        XGetIconSizes                           ,<NONE>,                                                'XGetIconSizes',                                \
        XGetImage                               ,<NONE>,                                                'XGetImage',                                    \
        XGetInputFocus                          ,<NONE>,                                                'XGetInputFocus',                               \
        XGetKeyboardControl                     ,<NONE>,                                                'XGetKeyboardControl',                          \
        XGetKeyboardMapping                     ,<NONE>,                                                'XGetKeyboardMapping',                          \
        XGetModifierMapping                     ,<NONE>,                                                'XGetModifierMapping',                          \
        XGetMotionEvents                        ,<NONE>,                                                'XGetMotionEvents',                             \
        XGetNormalHints                         ,<NONE>,                                                'XGetNormalHints',                              \
        XGetOCValues                            ,<NONE>,                                                'XGetOCValues',                                 \
        XGetOMValues                            ,<NONE>,                                                'XGetOMValues',                                 \
        XGetPixel                               ,<NONE>,                                                'XGetPixel',                                    \
        XGetPointerControl                      ,<NONE>,                                                'XGetPointerControl',                           \
        XGetPointerMapping                      ,<NONE>,                                                'XGetPointerMapping',                           \
        XGetRGBColormaps                        ,<NONE>,                                                'XGetRGBColormaps',                             \
        XGetScreenSaver                         ,<NONE>,                                                'XGetScreenSaver',                              \
        XGetSelectionOwner                      ,<.display, .selection>,                                'XGetSelectionOwner',                           \
        XGetSizeHints                           ,<NONE>,                                                'XGetSizeHints',                                \
        XGetStandardColormap                    ,<NONE>,                                                'XGetStandardColormap',                         \
        XGetSubImage                            ,<NONE>,                                                'XGetSubImage',                                 \
        XGetTextProperty                        ,<NONE>,                                                'XGetTextProperty',                             \
        XGetTransientForHint                    ,<NONE>,                                                'XGetTransientForHint',                         \
        XGetVisualInfo                          ,<NONE>,                                                'XGetVisualInfo',                               \
        XGetWMClientMachine                     ,<NONE>,                                                'XGetWMClientMachine',                          \
        XGetWMColormapWindows                   ,<NONE>,                                                'XGetWMColormapWindows',                        \
        XGetWMHints                             ,<NONE>,                                                'XGetWMHints',                                  \
        XGetWMIconName                          ,<NONE>,                                                'XGetWMIconName',                               \
        XGetWMName                              ,<NONE>,                                                'XGetWMName',                                   \
        XGetWMNormalHints                       ,<NONE>,                                                'XGetWMNormalHints',                            \
        XGetWMProtocols                         ,<NONE>,                                                'XGetWMProtocols',                              \
        XGetWMSizeHints                         ,<NONE>,                                                'XGetWMSizeHints',                              \
        XGetWindowAttributes                    ,<.display, .hwin, .pWinAttr>,                          'XGetWindowAttributes',                         \
        XGetWindowProperty                      ,<.display, .hwin, .property, .offset, .length, .delete, .req_type, .pTypeRet, .pFormatRet, .pNItemsRet, .pRemainsRet, .pDataRet>, 'XGetWindowProperty', \
        XGetZoomHints                           ,<NONE>,                                                'XGetZoomHints',                                \
        XGrabButton                             ,<NONE>,                                                'XGrabButton',                                  \
        XGrabKey                                ,<NONE>,                                                'XGrabKey',                                     \
        XGrabKeyboard                           ,<NONE>,                                                'XGrabKeyboard',                                \
        XGrabPointer                            ,<NONE>,                                                'XGrabPointer',                                 \
        XGrabServer                             ,<NONE>,                                                'XGrabServer',                                  \
        XHeightMMOfScreen                       ,<NONE>,                                                'XHeightMMOfScreen',                            \
        XHeightOfScreen                         ,<NONE>,                                                'XHeightOfScreen',                              \
        XIMOfIC                                 ,<NONE>,                                                'XIMOfIC',                                      \
        XIconifyWindow                          ,<NONE>,                                                'XIconifyWindow',                               \
        XIfEvent                                ,<NONE>,                                                'XIfEvent',                                     \
        XImageByteOrder                         ,<NONE>,                                                'XImageByteOrder',                              \
        XInitExtension                          ,<NONE>,                                                'XInitExtension',                               \
        XInitImage                              ,<NONE>,                                                'XInitImage',                                   \
        XInitThreads                            ,<NONE>,                                                'XInitThreads',                                 \
        XInsertModifiermapEntry                 ,<NONE>,                                                'XInsertModifiermapEntry',                      \
        XInstallColormap                        ,<NONE>,                                                'XInstallColormap',                             \
        XInternAtom                             ,<.disply, .atom_name, .only_if_exists>,                'XInternAtom',                                  \
        XInternAtoms                            ,<.disply, .names, .count, .only_if_exists, .atoms_return>,'XInternAtoms',                              \
        XInternalConnectionNumbers              ,<NONE>,                                                'XInternalConnectionNumbers',                   \
        XIntersectRegion                        ,<NONE>,                                                'XIntersectRegion',                             \
        XKeycodeToKeysym                        ,<NONE>,                                                'XKeycodeToKeysym',                             \
        XKeysymToKeycode                        ,<NONE>,                                                'XKeysymToKeycode',                             \
        XKeysymToString                         ,<NONE>,                                                'XKeysymToString',                              \
        XKillClient                             ,<NONE>,                                                'XKillClient',                                  \
        XLastKnownRequestProcessed              ,<NONE>,                                                'XLastKnownRequestProcessed',                   \
        XListDepths                             ,<NONE>,                                                'XListDepths',                                  \
        XListExtensions                         ,<NONE>,                                                'XListExtensions',                              \
        XListFonts                              ,<NONE>,                                                'XListFonts',                                   \
        XListFontsWithInfo                      ,<NONE>,                                                'XListFontsWithInfo',                           \
        XListHosts                              ,<NONE>,                                                'XListHosts',                                   \
        XListInstalledColormaps                 ,<NONE>,                                                'XListInstalledColormaps',                      \
        XListPixmapFormats                      ,<NONE>,                                                'XListPixmapFormats',                           \
        XListProperties                         ,<NONE>,                                                'XListProperties',                              \
        XLoadFont                               ,<NONE>,                                                'XLoadFont',                                    \
        XLoadQueryFont                          ,<NONE>,                                                'XLoadQueryFont',                               \
        XLocaleOfFontSet                        ,<NONE>,                                                'XLocaleOfFontSet',                             \
        XLocaleOfIM                             ,<NONE>,                                                'XLocaleOfIM',                                  \
        XLocaleOfOM                             ,<NONE>,                                                'XLocaleOfOM',                                  \
        XLockDisplay                            ,<NONE>,                                                'XLockDisplay',                                 \
        XLookupColor                            ,<NONE>,                                                'XLookupColor',                                 \
        XLookupKeysym                           ,<NONE>,                                                'XLookupKeysym',                                \
        XLookupString                           ,<NONE>,                                                'XLookupString',                                \
        XLowerWindow                            ,<NONE>,                                                'XLowerWindow',                                 \
        XMapRaised                              ,<NONE>,                                                'XMapRaised',                                   \
        XMapSubwindows                          ,<NONE>,                                                'XMapSubwindows',                               \
        XMapWindow                              ,<NONE>,                                                'XMapWindow',                                   \
        XMaskEvent                              ,<.display, .event_mask, .pEventReturn>,                'XMaskEvent',                                   \
        XMatchVisualInfo                        ,<NONE>,                                                'XMatchVisualInfo',                             \
        XMaxCmapsOfScreen                       ,<NONE>,                                                'XMaxCmapsOfScreen',                            \
        XMaxRequestSize                         ,<NONE>,                                                'XMaxRequestSize',                              \
        XMinCmapsOfScreen                       ,<NONE>,                                                'XMinCmapsOfScreen',                            \
        XMoveResizeWindow                       ,<NONE>,                                                'XMoveResizeWindow',                            \
        XMoveWindow                             ,<NONE>,                                                'XMoveWindow',                                  \
        XNewModifiermap                         ,<NONE>,                                                'XNewModifiermap',                              \
        XNextEvent                              ,<NONE>,                                                'XNextEvent',                                   \
        XNextRequest                            ,<NONE>,                                                'XNextRequest',                                 \
        XNoOp                                   ,<NONE>,                                                'XNoOp',                                        \
        XOMOfOC                                 ,<NONE>,                                                'XOMOfOC',                                      \
        XOffsetRegion                           ,<NONE>,                                                'XOffsetRegion',                                \
        XOpenDisplay                            ,<NONE>,                                                'XOpenDisplay',                                 \
        XOpenIM                                 ,<NONE>,                                                'XOpenIM',                                      \
        XOpenOM                                 ,<NONE>,                                                'XOpenOM',                                      \
        XParseColor                             ,<NONE>,                                                'XParseColor',                                  \
        XParseGeometry                          ,<NONE>,                                                'XParseGeometry',                               \
        XPeekEvent                              ,<NONE>,                                                'XPeekEvent',                                   \
        XPeekIfEvent                            ,<NONE>,                                                'XPeekIfEvent',                                 \
        XPending                                ,<NONE>,                                                'XPending',                                     \
        XPlanesOfScreen                         ,<NONE>,                                                'XPlanesOfScreen',                              \
        XPointInRegion                          ,<NONE>,                                                'XPointInRegion',                               \
        XPolygonRegion                          ,<NONE>,                                                'XPolygonRegion',                               \
        XProcessInternalConnection              ,<NONE>,                                                'XProcessInternalConnection',                   \
        XProtocolRevision                       ,<NONE>,                                                'XProtocolRevision',                            \
        XProtocolVersion                        ,<NONE>,                                                'XProtocolVersion',                             \
        XPutBackEvent                           ,<NONE>,                                                'XPutBackEvent',                                \
        XPutImage                               ,<NONE>,                                                'XPutImage',                                    \
        XPutPixel                               ,<NONE>,                                                'XPutPixel',                                    \
        XQLength                                ,<NONE>,                                                'XQLength',                                     \
        XQueryBestCursor                        ,<NONE>,                                                'XQueryBestCursor',                             \
        XQueryBestSize                          ,<NONE>,                                                'XQueryBestSize',                               \
        XQueryBestStipple                       ,<NONE>,                                                'XQueryBestStipple',                            \
        XQueryBestTile                          ,<NONE>,                                                'XQueryBestTile',                               \
        XQueryColor                             ,<NONE>,                                                'XQueryColor',                                  \
        XQueryColors                            ,<NONE>,                                                'XQueryColors',                                 \
        XQueryExtension                         ,<NONE>,                                                'XQueryExtension',                              \
        XQueryFont                              ,<NONE>,                                                'XQueryFont',                                   \
        XQueryKeymap                            ,<NONE>,                                                'XQueryKeymap',                                 \
        XQueryPointer                           ,<NONE>,                                                'XQueryPointer',                                \
        XQueryTextExtents                       ,<NONE>,                                                'XQueryTextExtents',                            \
        XQueryTextExtents16                     ,<NONE>,                                                'XQueryTextExtents16',                          \
        XQueryTree                              ,<NONE>,                                                'XQueryTree',                                   \
        XRaiseWindow                            ,<NONE>,                                                'XRaiseWindow',                                 \
        XReadBitmapFile                         ,<NONE>,                                                'XReadBitmapFile',                              \
        XReadBitmapFileData                     ,<NONE>,                                                'XReadBitmapFileData',                          \
        XRebindKeysym                           ,<NONE>,                                                'XRebindKeysym',                                \
        XRecolorCursor                          ,<NONE>,                                                'XRecolorCursor',                               \
        XReconfigureWMWindow                    ,<NONE>,                                                'XReconfigureWMWindow',                         \
        XRectInRegion                           ,<NONE>,                                                'XRectInRegion',                                \
        XRefreshKeyboardMapping                 ,<NONE>,                                                'XRefreshKeyboardMapping',                      \
        XRegisterIMInstantiateCallback          ,<NONE>,                                                'XRegisterIMInstantiateCallback',               \
        XRemoveConnectionWatch                  ,<NONE>,                                                'XRemoveConnectionWatch',                       \
        XRemoveFromSaveSet                      ,<NONE>,                                                'XRemoveFromSaveSet',                           \
        XRemoveHost                             ,<NONE>,                                                'XRemoveHost',                                  \
        XRemoveHosts                            ,<NONE>,                                                'XRemoveHosts',                                 \
        XReparentWindow                         ,<NONE>,                                                'XReparentWindow',                              \
        XResetScreenSaver                       ,<NONE>,                                                'XResetScreenSaver',                            \
        XResizeWindow                           ,<NONE>,                                                'XResizeWindow',                                \
        XResourceManagerString                  ,<NONE>,                                                'XResourceManagerString',                       \
        XRestackWindows                         ,<NONE>,                                                'XRestackWindows',                              \
        XRootWindow                             ,<NONE>,                                                'XRootWindow',                                  \
        XRootWindowOfScreen                     ,<NONE>,                                                'XRootWindowOfScreen',                          \
        XRotateBuffers                          ,<NONE>,                                                'XRotateBuffers',                               \
        XRotateWindowProperties                 ,<NONE>,                                                'XRotateWindowProperties',                      \
        XSaveContext                            ,<NONE>,                                                'XSaveContext',                                 \
        XScreenCount                            ,<NONE>,                                                'XScreenCount',                                 \
        XScreenNumberOfScreen                   ,<NONE>,                                                'XScreenNumberOfScreen',                        \
        XScreenOfDisplay                        ,<NONE>,                                                'XScreenOfDisplay',                             \
        XScreenResourceString                   ,<NONE>,                                                'XScreenResourceString',                        \
        XSelectInput                            ,<NONE>,                                                'XSelectInput',                                 \
        XSendEvent                              ,<NONE>,                                                'XSendEvent',                                   \
        XServerVendor                           ,<NONE>,                                                'XServerVendor',                                \
        XSetAccessControl                       ,<NONE>,                                                'XSetAccessControl',                            \
        XSetAfterFunction                       ,<NONE>,                                                'XSetAfterFunction',                            \
        XSetArcMode                             ,<NONE>,                                                'XSetArcMode',                                  \
        XSetAuthorization                       ,<NONE>,                                                'XSetAuthorization',                            \
        XSetBackground                          ,<NONE>,                                                'XSetBackground',                               \
        XSetClassHint                           ,<NONE>,                                                'XSetClassHint',                                \
        XSetClipMask                            ,<NONE>,                                                'XSetClipMask',                                 \
        XSetClipOrigin                          ,<NONE>,                                                'XSetClipOrigin',                               \
        XSetClipRectangles                      ,<NONE>,                                                'XSetClipRectangles',                           \
        XSetCloseDownMode                       ,<NONE>,                                                'XSetCloseDownMode',                            \
        XSetCommand                             ,<NONE>,                                                'XSetCommand',                                  \
        XSetDashes                              ,<NONE>,                                                'XSetDashes',                                   \
        XSetErrorHandler                        ,<NONE>,                                                'XSetErrorHandler',                             \
        XSetFillRule                            ,<NONE>,                                                'XSetFillRule',                                 \
        XSetFillStyle                           ,<NONE>,                                                'XSetFillStyle',                                \
        XSetFont                                ,<NONE>,                                                'XSetFont',                                     \
        XSetFontPath                            ,<NONE>,                                                'XSetFontPath',                                 \
        XSetForeground                          ,<NONE>,                                                'XSetForeground',                               \
        XSetFunction                            ,<NONE>,                                                'XSetFunction',                                 \
        XSetGraphicsExposures                   ,<NONE>,                                                'XSetGraphicsExposures',                        \
        XSetICFocus                             ,<NONE>,                                                'XSetICFocus',                                  \
        XSetICValues                            ,<NONE>,                                                'XSetICValues',                                 \
        XSetIMValues                            ,<NONE>,                                                'XSetIMValues',                                 \
        XSetIOErrorHandler                      ,<NONE>,                                                'XSetIOErrorHandler',                           \
        XSetIconName                            ,<NONE>,                                                'XSetIconName',                                 \
        XSetIconSizes                           ,<NONE>,                                                'XSetIconSizes',                                \
        XSetInputFocus                          ,<NONE>,                                                'XSetInputFocus',                               \
        XSetLineAttributes                      ,<NONE>,                                                'XSetLineAttributes',                           \
        XSetLocaleModifiers                     ,<NONE>,                                                'XSetLocaleModifiers',                          \
        XSetModifierMapping                     ,<NONE>,                                                'XSetModifierMapping',                          \
        XSetNormalHints                         ,<NONE>,                                                'XSetNormalHints',                              \
        XSetOCValues                            ,<NONE>,                                                'XSetOCValues',                                 \
        XSetOMValues                            ,<NONE>,                                                'XSetOMValues',                                 \
        XSetPlaneMask                           ,<NONE>,                                                'XSetPlaneMask',                                \
        XSetPointerMapping                      ,<NONE>,                                                'XSetPointerMapping',                           \
        XSetRGBColormaps                        ,<NONE>,                                                'XSetRGBColormaps',                             \
        XSetRegion                              ,<NONE>,                                                'XSetRegion',                                   \
        XSetScreenSaver                         ,<NONE>,                                                'XSetScreenSaver',                              \
        XSetSelectionOwner                      ,<.display, .selection, .owner, .time>,                 'XSetSelectionOwner',                           \
        XSetSizeHints                           ,<NONE>,                                                'XSetSizeHints',                                \
        XSetStandardColormap                    ,<NONE>,                                                'XSetStandardColormap',                         \
        XSetStandardProperties                  ,<NONE>,                                                'XSetStandardProperties',                       \
        XSetState                               ,<NONE>,                                                'XSetState',                                    \
        XSetStipple                             ,<NONE>,                                                'XSetStipple',                                  \
        XSetSubwindowMode                       ,<NONE>,                                                'XSetSubwindowMode',                            \
        XSetTSOrigin                            ,<NONE>,                                                'XSetTSOrigin',                                 \
        XSetTextProperty                        ,<NONE>,                                                'XSetTextProperty',                             \
        XSetTile                                ,<NONE>,                                                'XSetTile',                                     \
        XSetTransientForHint                    ,<NONE>,                                                'XSetTransientForHint',                         \
        XSetWMClientMachine                     ,<NONE>,                                                'XSetWMClientMachine',                          \
        XSetWMColormapWindows                   ,<NONE>,                                                'XSetWMColormapWindows',                        \
        XSetWMHints                             ,<NONE>,                                                'XSetWMHints',                                  \
        XSetWMIconName                          ,<NONE>,                                                'XSetWMIconName',                               \
        XSetWMName                              ,<NONE>,                                                'XSetWMName',                                   \
        XSetWMNormalHints                       ,<NONE>,                                                'XSetWMNormalHints',                            \
        XSetWMProperties                        ,<NONE>,                                                'XSetWMProperties',                             \
        XSetWMProtocols                         ,<NONE>,                                                'XSetWMProtocols',                              \
        XSetWMSizeHints                         ,<NONE>,                                                'XSetWMSizeHints',                              \
        XSetWindowBackground                    ,<NONE>,                                                'XSetWindowBackground',                         \
        XSetWindowBackgroundPixmap              ,<NONE>,                                                'XSetWindowBackgroundPixmap',                   \
        XSetWindowBorder                        ,<NONE>,                                                'XSetWindowBorder',                             \
        XSetWindowBorderPixmap                  ,<NONE>,                                                'XSetWindowBorderPixmap',                       \
        XSetWindowBorderWidth                   ,<NONE>,                                                'XSetWindowBorderWidth',                        \
        XSetWindowColormap                      ,<NONE>,                                                'XSetWindowColormap',                           \
        XSetZoomHints                           ,<NONE>,                                                'XSetZoomHints',                                \
        XShrinkRegion                           ,<NONE>,                                                'XShrinkRegion',                                \
        XStoreBuffer                            ,<NONE>,                                                'XStoreBuffer',                                 \
        XStoreBytes                             ,<NONE>,                                                'XStoreBytes',                                  \
        XStoreColor                             ,<NONE>,                                                'XStoreColor',                                  \
        XStoreColors                            ,<NONE>,                                                'XStoreColors',                                 \
        XStoreName                              ,<NONE>,                                                'XStoreName',                                   \
        XStoreNamedColor                        ,<NONE>,                                                'XStoreNamedColor',                             \
        XStringListToTextProperty               ,<NONE>,                                                'XStringListToTextProperty',                    \
        XStringToKeysym                         ,<NONE>,                                                'XStringToKeysym',                              \
        XSubImage                               ,<NONE>,                                                'XSubImage',                                    \
        XSubtractRegion                         ,<NONE>,                                                'XSubtractRegion',                              \
        XSupportsLocale                         ,<NONE>,                                                'XSupportsLocale',                              \
        XSync                                   ,<NONE>,                                                'XSync',                                        \
        XSynchronize                            ,<NONE>,                                                'XSynchronize',                                 \
        XTextExtents                            ,<NONE>,                                                'XTextExtents',                                 \
        XTextExtents16                          ,<NONE>,                                                'XTextExtents16',                               \
        XTextPropertyToStringList               ,<NONE>,                                                'XTextPropertyToStringList',                    \
        XTextWidth                              ,<NONE>,                                                'XTextWidth',                                   \
        XTextWidth16                            ,<NONE>,                                                'XTextWidth16',                                 \
        XTranslateCoordinates                   ,<NONE>,                                                'XTranslateCoordinates',                        \
        XUndefineCursor                         ,<NONE>,                                                'XUndefineCursor',                              \
        XUngrabButton                           ,<NONE>,                                                'XUngrabButton',                                \
        XUngrabKey                              ,<NONE>,                                                'XUngrabKey',                                   \
        XUngrabKeyboard                         ,<NONE>,                                                'XUngrabKeyboard',                              \
        XUngrabPointer                          ,<NONE>,                                                'XUngrabPointer',                               \
        XUngrabServer                           ,<NONE>,                                                'XUngrabServer',                                \
        XUninstallColormap                      ,<NONE>,                                                'XUninstallColormap',                           \
        XUnionRectWithRegion                    ,<NONE>,                                                'XUnionRectWithRegion',                         \
        XUnionRegion                            ,<NONE>,                                                'XUnionRegion',                                 \
        XUnloadFont                             ,<NONE>,                                                'XUnloadFont',                                  \
        XUnlockDisplay                          ,<NONE>,                                                'XUnlockDisplay',                               \
        XUnmapSubwindows                        ,<NONE>,                                                'XUnmapSubwindows',                             \
        XUnmapWindow                            ,<NONE>,                                                'XUnmapWindow',                                 \
        XUnregisterIMInstantiateCallback        ,<NONE>,                                                'XUnregisterIMInstantiateCallback',             \
        XUnsetICFocus                           ,<NONE>,                                                'XUnsetICFocus',                                \
        XVaCreateNestedList                     ,<NONE>,                                                'XVaCreateNestedList',                          \
        XVendorRelease                          ,<NONE>,                                                'XVendorRelease',                               \
        XVisualIDFromVisual                     ,<NONE>,                                                'XVisualIDFromVisual',                          \
        XWMGeometry                             ,<NONE>,                                                'XWMGeometry',                                  \
        XWarpPointer                            ,<NONE>,                                                'XWarpPointer',                                 \
        XWhitePixel                             ,<NONE>,                                                'XWhitePixel',                                  \
        XWhitePixelOfScreen                     ,<NONE>,                                                'XWhitePixelOfScreen',                          \
        XWidthMMOfScreen                        ,<NONE>,                                                'XWidthMMOfScreen',                             \
        XWidthOfScreen                          ,<NONE>,                                                'XWidthOfScreen',                               \
        XWindowEvent                            ,<.display, .hwin, .event_mask, .pEvent>,               'XWindowEvent',                                 \
        XWithdrawWindow                         ,<NONE>,                                                'XWithdrawWindow',                              \
        XWriteBitmapFile                        ,<NONE>,                                                'XWriteBitmapFile',                             \
        XXorRegion                              ,<NONE>,                                                'XXorRegion',                                   \
        XcmsAddColorSpace                       ,<NONE>,                                                'XcmsAddColorSpace',                            \
        XcmsAddFunctionSet                      ,<NONE>,                                                'XcmsAddFunctionSet',                           \
        XcmsAllocColor                          ,<NONE>,                                                'XcmsAllocColor',                               \
        XcmsAllocNamedColor                     ,<NONE>,                                                'XcmsAllocNamedColor',                          \
        XcmsCCCOfColormap                       ,<NONE>,                                                'XcmsCCCOfColormap',                            \
        XcmsCIELabClipL                         ,<NONE>,                                                'XcmsCIELabClipL',                              \
        XcmsCIELabClipLab                       ,<NONE>,                                                'XcmsCIELabClipLab',                            \
        XcmsCIELabClipab                        ,<NONE>,                                                'XcmsCIELabClipab',                             \
        XcmsCIELabColorSpace                    ,<NONE>,                                                'XcmsCIELabColorSpace',                         \
        XcmsCIELabQueryMaxC                     ,<NONE>,                                                'XcmsCIELabQueryMaxC',                          \
        XcmsCIELabQueryMaxL                     ,<NONE>,                                                'XcmsCIELabQueryMaxL',                          \
        XcmsCIELabQueryMaxLC                    ,<NONE>,                                                'XcmsCIELabQueryMaxLC',                         \
        XcmsCIELabQueryMinL                     ,<NONE>,                                                'XcmsCIELabQueryMinL',                          \
        XcmsCIELabToCIEXYZ                      ,<NONE>,                                                'XcmsCIELabToCIEXYZ',                           \
        XcmsCIELabWhiteShiftColors              ,<NONE>,                                                'XcmsCIELabWhiteShiftColors',                   \
        XcmsCIELuvClipL                         ,<NONE>,                                                'XcmsCIELuvClipL',                              \
        XcmsCIELuvClipLuv                       ,<NONE>,                                                'XcmsCIELuvClipLuv',                            \
        XcmsCIELuvClipuv                        ,<NONE>,                                                'XcmsCIELuvClipuv',                             \
        XcmsCIELuvColorSpace                    ,<NONE>,                                                'XcmsCIELuvColorSpace',                         \
        XcmsCIELuvQueryMaxC                     ,<NONE>,                                                'XcmsCIELuvQueryMaxC',                          \
        XcmsCIELuvQueryMaxL                     ,<NONE>,                                                'XcmsCIELuvQueryMaxL',                          \
        XcmsCIELuvQueryMaxLC                    ,<NONE>,                                                'XcmsCIELuvQueryMaxLC',                         \
        XcmsCIELuvQueryMinL                     ,<NONE>,                                                'XcmsCIELuvQueryMinL',                          \
        XcmsCIELuvToCIEuvY                      ,<NONE>,                                                'XcmsCIELuvToCIEuvY',                           \
        XcmsCIELuvWhiteShiftColors              ,<NONE>,                                                'XcmsCIELuvWhiteShiftColors',                   \
        XcmsCIEXYZColorSpace                    ,<NONE>,                                                'XcmsCIEXYZColorSpace',                         \
        XcmsCIEXYZToCIELab                      ,<NONE>,                                                'XcmsCIEXYZToCIELab',                           \
        XcmsCIEXYZToCIEuvY                      ,<NONE>,                                                'XcmsCIEXYZToCIEuvY',                           \
        XcmsCIEXYZToCIExyY                      ,<NONE>,                                                'XcmsCIEXYZToCIExyY',                           \
        XcmsCIEXYZToRGBi                        ,<NONE>,                                                'XcmsCIEXYZToRGBi',                             \
        XcmsCIEuvYColorSpace                    ,<NONE>,                                                'XcmsCIEuvYColorSpace',                         \
        XcmsCIEuvYToCIELuv                      ,<NONE>,                                                'XcmsCIEuvYToCIELuv',                           \
        XcmsCIEuvYToCIEXYZ                      ,<NONE>,                                                'XcmsCIEuvYToCIEXYZ',                           \
        XcmsCIEuvYToTekHVC                      ,<NONE>,                                                'XcmsCIEuvYToTekHVC',                           \
        XcmsCIExyYColorSpace                    ,<NONE>,                                                'XcmsCIExyYColorSpace',                         \
        XcmsCIExyYToCIEXYZ                      ,<NONE>,                                                'XcmsCIExyYToCIEXYZ',                           \
        XcmsClientWhitePointOfCCC               ,<NONE>,                                                'XcmsClientWhitePointOfCCC',                    \
        XcmsConvertColors                       ,<NONE>,                                                'XcmsConvertColors',                            \
        XcmsCreateCCC                           ,<NONE>,                                                'XcmsCreateCCC',                                \
        XcmsDefaultCCC                          ,<NONE>,                                                'XcmsDefaultCCC',                               \
        XcmsDisplayOfCCC                        ,<NONE>,                                                'XcmsDisplayOfCCC',                             \
        XcmsFormatOfPrefix                      ,<NONE>,                                                'XcmsFormatOfPrefix',                           \
        XcmsFreeCCC                             ,<NONE>,                                                'XcmsFreeCCC',                                  \
        XcmsLinearRGBFunctionSet                ,<NONE>,                                                'XcmsLinearRGBFunctionSet',                     \
        XcmsLookupColor                         ,<NONE>,                                                'XcmsLookupColor',                              \
        XcmsPrefixOfFormat                      ,<NONE>,                                                'XcmsPrefixOfFormat',                           \
        XcmsQueryBlack                          ,<NONE>,                                                'XcmsQueryBlack',                               \
        XcmsQueryBlue                           ,<NONE>,                                                'XcmsQueryBlue',                                \
        XcmsQueryColor                          ,<NONE>,                                                'XcmsQueryColor',                               \
        XcmsQueryColors                         ,<NONE>,                                                'XcmsQueryColors',                              \
        XcmsQueryGreen                          ,<NONE>,                                                'XcmsQueryGreen',                               \
        XcmsQueryRed                            ,<NONE>,                                                'XcmsQueryRed',                                 \
        XcmsQueryWhite                          ,<NONE>,                                                'XcmsQueryWhite',                               \
        XcmsRGBColorSpace                       ,<NONE>,                                                'XcmsRGBColorSpace',                            \
        XcmsRGBToRGBi                           ,<NONE>,                                                'XcmsRGBToRGBi',                                \
        XcmsRGBiColorSpace                      ,<NONE>,                                                'XcmsRGBiColorSpace',                           \
        XcmsRGBiToCIEXYZ                        ,<NONE>,                                                'XcmsRGBiToCIEXYZ',                             \
        XcmsRGBiToRGB                           ,<NONE>,                                                'XcmsRGBiToRGB',                                \
        XcmsScreenNumberOfCCC                   ,<NONE>,                                                'XcmsScreenNumberOfCCC',                        \
        XcmsScreenWhitePointOfCCC               ,<NONE>,                                                'XcmsScreenWhitePointOfCCC',                    \
        XcmsSetCCCOfColormap                    ,<NONE>,                                                'XcmsSetCCCOfColormap',                         \
        XcmsSetCompressionProc                  ,<NONE>,                                                'XcmsSetCompressionProc',                       \
        XcmsSetWhiteAdjustProc                  ,<NONE>,                                                'XcmsSetWhiteAdjustProc',                       \
        XcmsSetWhitePoint                       ,<NONE>,                                                'XcmsSetWhitePoint',                            \
        XcmsStoreColor                          ,<NONE>,                                                'XcmsStoreColor',                               \
        XcmsStoreColors                         ,<NONE>,                                                'XcmsStoreColors',                              \
        XcmsTekHVCClipC                         ,<NONE>,                                                'XcmsTekHVCClipC',                              \
        XcmsTekHVCClipV                         ,<NONE>,                                                'XcmsTekHVCClipV',                              \
        XcmsTekHVCClipVC                        ,<NONE>,                                                'XcmsTekHVCClipVC',                             \
        XcmsTekHVCColorSpace                    ,<NONE>,                                                'XcmsTekHVCColorSpace',                         \
        XcmsTekHVCQueryMaxC                     ,<NONE>,                                                'XcmsTekHVCQueryMaxC',                          \
        XcmsTekHVCQueryMaxV                     ,<NONE>,                                                'XcmsTekHVCQueryMaxV',                          \
        XcmsTekHVCQueryMaxVC                    ,<NONE>,                                                'XcmsTekHVCQueryMaxVC',                         \
        XcmsTekHVCQueryMaxVSamples              ,<NONE>,                                                'XcmsTekHVCQueryMaxVSamples',                   \
        XcmsTekHVCQueryMinV                     ,<NONE>,                                                'XcmsTekHVCQueryMinV',                          \
        XcmsTekHVCToCIEuvY                      ,<NONE>,                                                'XcmsTekHVCToCIEuvY',                           \
        XcmsTekHVCWhiteShiftColors              ,<NONE>,                                                'XcmsTekHVCWhiteShiftColors',                   \
        XcmsUNDEFINEDColorSpace                 ,<NONE>,                                                'XcmsUNDEFINEDColorSpace',                      \
        XcmsVisualOfCCC                         ,<NONE>,                                                'XcmsVisualOfCCC',                              \
        XkbAddDeviceLedInfo                     ,<NONE>,                                                'XkbAddDeviceLedInfo',                          \
        XkbAddGeomColor                         ,<NONE>,                                                'XkbAddGeomColor',                              \
        XkbAddGeomDoodad                        ,<NONE>,                                                'XkbAddGeomDoodad',                             \
        XkbAddGeomKey                           ,<NONE>,                                                'XkbAddGeomKey',                                \
        XkbAddGeomKeyAlias                      ,<NONE>,                                                'XkbAddGeomKeyAlias',                           \
        XkbAddGeomOutline                       ,<NONE>,                                                'XkbAddGeomOutline',                            \
        XkbAddGeomOverlay                       ,<NONE>,                                                'XkbAddGeomOverlay',                            \
        XkbAddGeomOverlayKey                    ,<NONE>,                                                'XkbAddGeomOverlayKey',                         \
        XkbAddGeomOverlayRow                    ,<NONE>,                                                'XkbAddGeomOverlayRow',                         \
        XkbAddGeomProperty                      ,<NONE>,                                                'XkbAddGeomProperty',                           \
        XkbAddGeomRow                           ,<NONE>,                                                'XkbAddGeomRow',                                \
        XkbAddGeomSection                       ,<NONE>,                                                'XkbAddGeomSection',                            \
        XkbAddGeomShape                         ,<NONE>,                                                'XkbAddGeomShape',                              \
        XkbAddKeyType                           ,<NONE>,                                                'XkbAddKeyType',                                \
        XkbAllocClientMap                       ,<NONE>,                                                'XkbAllocClientMap',                            \
        XkbAllocCompatMap                       ,<NONE>,                                                'XkbAllocCompatMap',                            \
        XkbAllocControls                        ,<NONE>,                                                'XkbAllocControls',                             \
        XkbAllocDeviceInfo                      ,<NONE>,                                                'XkbAllocDeviceInfo',                           \
        XkbAllocGeomColors                      ,<NONE>,                                                'XkbAllocGeomColors',                           \
        XkbAllocGeomDoodads                     ,<NONE>,                                                'XkbAllocGeomDoodads',                          \
        XkbAllocGeomKeyAliases                  ,<NONE>,                                                'XkbAllocGeomKeyAliases',                       \
        XkbAllocGeomKeys                        ,<NONE>,                                                'XkbAllocGeomKeys',                             \
        XkbAllocGeomOutlines                    ,<NONE>,                                                'XkbAllocGeomOutlines',                         \
        XkbAllocGeomOverlayKeys                 ,<NONE>,                                                'XkbAllocGeomOverlayKeys',                      \
        XkbAllocGeomOverlayRows                 ,<NONE>,                                                'XkbAllocGeomOverlayRows',                      \
        XkbAllocGeomOverlays                    ,<NONE>,                                                'XkbAllocGeomOverlays',                         \
        XkbAllocGeomPoints                      ,<NONE>,                                                'XkbAllocGeomPoints',                           \
        XkbAllocGeomProps                       ,<NONE>,                                                'XkbAllocGeomProps',                            \
        XkbAllocGeomRows                        ,<NONE>,                                                'XkbAllocGeomRows',                             \
        XkbAllocGeomSectionDoodads              ,<NONE>,                                                'XkbAllocGeomSectionDoodads',                   \
        XkbAllocGeomSections                    ,<NONE>,                                                'XkbAllocGeomSections',                         \
        XkbAllocGeomShapes                      ,<NONE>,                                                'XkbAllocGeomShapes',                           \
        XkbAllocGeometry                        ,<NONE>,                                                'XkbAllocGeometry',                             \
        XkbAllocIndicatorMaps                   ,<NONE>,                                                'XkbAllocIndicatorMaps',                        \
        XkbAllocKeyboard                        ,<NONE>,                                                'XkbAllocKeyboard',                             \
        XkbAllocNames                           ,<NONE>,                                                'XkbAllocNames',                                \
        XkbAllocServerMap                       ,<NONE>,                                                'XkbAllocServerMap',                            \
        XkbApplyCompatMapToKey                  ,<NONE>,                                                'XkbApplyCompatMapToKey',                       \
        XkbApplyVirtualModChanges               ,<NONE>,                                                'XkbApplyVirtualModChanges',                    \
        XkbBell                                 ,<NONE>,                                                'XkbBell',                                      \
        XkbBellEvent                            ,<NONE>,                                                'XkbBellEvent',                                 \
        XkbChangeDeviceInfo                     ,<NONE>,                                                'XkbChangeDeviceInfo',                          \
        XkbChangeEnabledControls                ,<NONE>,                                                'XkbChangeEnabledControls',                     \
        XkbChangeKeycodeRange                   ,<NONE>,                                                'XkbChangeKeycodeRange',                        \
        XkbChangeMap                            ,<NONE>,                                                'XkbChangeMap',                                 \
        XkbChangeNames                          ,<NONE>,                                                'XkbChangeNames',                               \
        XkbChangeTypesOfKey                     ,<NONE>,                                                'XkbChangeTypesOfKey',                          \
        XkbComputeEffectiveMap                  ,<NONE>,                                                'XkbComputeEffectiveMap',                       \
        XkbComputeRowBounds                     ,<NONE>,                                                'XkbComputeRowBounds',                          \
        XkbComputeSectionBounds                 ,<NONE>,                                                'XkbComputeSectionBounds',                      \
        XkbComputeShapeBounds                   ,<NONE>,                                                'XkbComputeShapeBounds',                        \
        XkbComputeShapeTop                      ,<NONE>,                                                'XkbComputeShapeTop',                           \
        XkbCopyKeyType                          ,<NONE>,                                                'XkbCopyKeyType',                               \
        XkbCopyKeyTypes                         ,<NONE>,                                                'XkbCopyKeyTypes',                              \
        XkbDeviceBell                           ,<NONE>,                                                'XkbDeviceBell',                                \
        XkbDeviceBellEvent                      ,<NONE>,                                                'XkbDeviceBellEvent',                           \
        XkbFindOverlayForKey                    ,<NONE>,                                                'XkbFindOverlayForKey',                         \
        XkbForceBell                            ,<NONE>,                                                'XkbForceBell',                                 \
        XkbForceDeviceBell                      ,<NONE>,                                                'XkbForceDeviceBell',                           \
        XkbFreeClientMap                        ,<NONE>,                                                'XkbFreeClientMap',                             \
        XkbFreeCompatMap                        ,<NONE>,                                                'XkbFreeCompatMap',                             \
        XkbFreeComponentList                    ,<NONE>,                                                'XkbFreeComponentList',                         \
        XkbFreeControls                         ,<NONE>,                                                'XkbFreeControls',                              \
        XkbFreeDeviceInfo                       ,<NONE>,                                                'XkbFreeDeviceInfo',                            \
        XkbFreeGeomColors                       ,<NONE>,                                                'XkbFreeGeomColors',                            \
        XkbFreeGeomDoodads                      ,<NONE>,                                                'XkbFreeGeomDoodads',                           \
        XkbFreeGeomKeyAliases                   ,<NONE>,                                                'XkbFreeGeomKeyAliases',                        \
        XkbFreeGeomKeys                         ,<NONE>,                                                'XkbFreeGeomKeys',                              \
        XkbFreeGeomOutlines                     ,<NONE>,                                                'XkbFreeGeomOutlines',                          \
        XkbFreeGeomOverlayKeys                  ,<NONE>,                                                'XkbFreeGeomOverlayKeys',                       \
        XkbFreeGeomOverlayRows                  ,<NONE>,                                                'XkbFreeGeomOverlayRows',                       \
        XkbFreeGeomOverlays                     ,<NONE>,                                                'XkbFreeGeomOverlays',                          \
        XkbFreeGeomPoints                       ,<NONE>,                                                'XkbFreeGeomPoints',                            \
        XkbFreeGeomProperties                   ,<NONE>,                                                'XkbFreeGeomProperties',                        \
        XkbFreeGeomRows                         ,<NONE>,                                                'XkbFreeGeomRows',                              \
        XkbFreeGeomSections                     ,<NONE>,                                                'XkbFreeGeomSections',                          \
        XkbFreeGeomShapes                       ,<NONE>,                                                'XkbFreeGeomShapes',                            \
        XkbFreeGeometry                         ,<NONE>,                                                'XkbFreeGeometry',                              \
        XkbFreeIndicatorMaps                    ,<NONE>,                                                'XkbFreeIndicatorMaps',                         \
        XkbFreeKeyboard                         ,<NONE>,                                                'XkbFreeKeyboard',                              \
        XkbFreeNames                            ,<NONE>,                                                'XkbFreeNames',                                 \
        XkbFreeServerMap                        ,<NONE>,                                                'XkbFreeServerMap',                             \
        XkbGetAutoRepeatRate                    ,<NONE>,                                                'XkbGetAutoRepeatRate',                         \
        XkbGetAutoResetControls                 ,<NONE>,                                                'XkbGetAutoResetControls',                      \
        XkbGetCompatMap                         ,<NONE>,                                                'XkbGetCompatMap',                              \
        XkbGetControls                          ,<NONE>,                                                'XkbGetControls',                               \
        XkbGetDetectableAutoRepeat              ,<NONE>,                                                'XkbGetDetectableAutoRepeat',                   \
        XkbGetDeviceButtonActions               ,<NONE>,                                                'XkbGetDeviceButtonActions',                    \
        XkbGetDeviceInfo                        ,<NONE>,                                                'XkbGetDeviceInfo',                             \
        XkbGetDeviceInfoChanges                 ,<NONE>,                                                'XkbGetDeviceInfoChanges',                      \
        XkbGetDeviceLedInfo                     ,<NONE>,                                                'XkbGetDeviceLedInfo',                          \
        XkbGetGeometry                          ,<NONE>,                                                'XkbGetGeometry',                               \
        XkbGetIndicatorMap                      ,<NONE>,                                                'XkbGetIndicatorMap',                           \
        XkbGetIndicatorState                    ,<NONE>,                                                'XkbGetIndicatorState',                         \
        XkbGetKeyActions                        ,<NONE>,                                                'XkbGetKeyActions',                             \
        XkbGetKeyBehaviors                      ,<NONE>,                                                'XkbGetKeyBehaviors',                           \
        XkbGetKeyExplicitComponents             ,<NONE>,                                                'XkbGetKeyExplicitComponents',                  \
        XkbGetKeyModifierMap                    ,<NONE>,                                                'XkbGetKeyModifierMap',                         \
        XkbGetKeySyms                           ,<NONE>,                                                'XkbGetKeySyms',                                \
        XkbGetKeyTypes                          ,<NONE>,                                                'XkbGetKeyTypes',                               \
        XkbGetKeyVirtualModMap                  ,<NONE>,                                                'XkbGetKeyVirtualModMap',                       \
        XkbGetKeyboard                          ,<NONE>,                                                'XkbGetKeyboard',                               \
        XkbGetKeyboardByName                    ,<NONE>,                                                'XkbGetKeyboardByName',                         \
        XkbGetMap                               ,<NONE>,                                                'XkbGetMap',                                    \
        XkbGetMapChanges                        ,<NONE>,                                                'XkbGetMapChanges',                             \
        XkbGetNamedDeviceIndicator              ,<NONE>,                                                'XkbGetNamedDeviceIndicator',                   \
        XkbGetNamedGeometry                     ,<NONE>,                                                'XkbGetNamedGeometry',                          \
        XkbGetNamedIndicator                    ,<NONE>,                                                'XkbGetNamedIndicator',                         \
        XkbGetNames                             ,<NONE>,                                                'XkbGetNames',                                  \
        XkbGetPerClientControls                 ,<NONE>,                                                'XkbGetPerClientControls',                      \
        XkbGetState                             ,<NONE>,                                                'XkbGetState',                                  \
        XkbGetUpdatedMap                        ,<NONE>,                                                'XkbGetUpdatedMap',                             \
        XkbGetVirtualMods                       ,<NONE>,                                                'XkbGetVirtualMods',                            \
        XkbGetXlibControls                      ,<NONE>,                                                'XkbGetXlibControls',                           \
        XkbIgnoreExtension                      ,<NONE>,                                                'XkbIgnoreExtension',                           \
        XkbInitCanonicalKeyTypes                ,<NONE>,                                                'XkbInitCanonicalKeyTypes',                     \
        XkbKeyTypesForCoreSymbols               ,<NONE>,                                                'XkbKeyTypesForCoreSymbols',                    \
        XkbKeycodeToKeysym                      ,<NONE>,                                                'XkbKeycodeToKeysym',                           \
        XkbKeysymToModifiers                    ,<NONE>,                                                'XkbKeysymToModifiers',                         \
        XkbLatchGroup                           ,<NONE>,                                                'XkbLatchGroup',                                \
        XkbLatchModifiers                       ,<NONE>,                                                'XkbLatchModifiers',                            \
        XkbLibraryVersion                       ,<NONE>,                                                'XkbLibraryVersion',                            \
        XkbListComponents                       ,<NONE>,                                                'XkbListComponents',                            \
        XkbLockGroup                            ,<NONE>,                                                'XkbLockGroup',                                 \
        XkbLockModifiers                        ,<NONE>,                                                'XkbLockModifiers',                             \
        XkbLookupKeyBinding                     ,<NONE>,                                                'XkbLookupKeyBinding',                          \
        XkbLookupKeySym                         ,<NONE>,                                                'XkbLookupKeySym',                              \
        XkbNoteControlsChanges                  ,<NONE>,                                                'XkbNoteControlsChanges',                       \
        XkbNoteDeviceChanges                    ,<NONE>,                                                'XkbNoteDeviceChanges',                         \
        XkbNoteMapChanges                       ,<NONE>,                                                'XkbNoteMapChanges',                            \
        XkbNoteNameChanges                      ,<NONE>,                                                'XkbNoteNameChanges',                           \
        XkbOpenDisplay                          ,<NONE>,                                                'XkbOpenDisplay',                               \
        XkbQueryExtension                       ,<NONE>,                                                'XkbQueryExtension',                            \
        XkbRefreshKeyboardMapping               ,<NONE>,                                                'XkbRefreshKeyboardMapping',                    \
        XkbResizeDeviceButtonActions            ,<NONE>,                                                'XkbResizeDeviceButtonActions',                 \
        XkbResizeKeyActions                     ,<NONE>,                                                'XkbResizeKeyActions',                          \
        XkbResizeKeySyms                        ,<NONE>,                                                'XkbResizeKeySyms',                             \
        XkbResizeKeyType                        ,<NONE>,                                                'XkbResizeKeyType',                             \
        XkbSelectEventDetails                   ,<NONE>,                                                'XkbSelectEventDetails',                        \
        XkbSelectEvents                         ,<NONE>,                                                'XkbSelectEvents',                              \
        XkbSetAtomFuncs                         ,<NONE>,                                                'XkbSetAtomFuncs',                              \
        XkbSetAutoRepeatRate                    ,<NONE>,                                                'XkbSetAutoRepeatRate',                         \
        XkbSetAutoResetControls                 ,<NONE>,                                                'XkbSetAutoResetControls',                      \
        XkbSetCompatMap                         ,<NONE>,                                                'XkbSetCompatMap',                              \
        XkbSetControls                          ,<NONE>,                                                'XkbSetControls',                               \
        XkbSetDebuggingFlags                    ,<NONE>,                                                'XkbSetDebuggingFlags',                         \
        XkbSetDetectableAutoRepeat              ,<NONE>,                                                'XkbSetDetectableAutoRepeat',                   \
        XkbSetDeviceButtonActions               ,<NONE>,                                                'XkbSetDeviceButtonActions',                    \
        XkbSetDeviceInfo                        ,<NONE>,                                                'XkbSetDeviceInfo',                             \
        XkbSetDeviceLedInfo                     ,<NONE>,                                                'XkbSetDeviceLedInfo',                          \
        XkbSetGeometry                          ,<NONE>,                                                'XkbSetGeometry',                               \
        XkbSetIgnoreLockMods                    ,<NONE>,                                                'XkbSetIgnoreLockMods',                         \
        XkbSetIndicatorMap                      ,<NONE>,                                                'XkbSetIndicatorMap',                           \
        XkbSetMap                               ,<NONE>,                                                'XkbSetMap',                                    \
        XkbSetNamedDeviceIndicator              ,<NONE>,                                                'XkbSetNamedDeviceIndicator',                   \
        XkbSetNamedIndicator                    ,<NONE>,                                                'XkbSetNamedIndicator',                         \
        XkbSetNames                             ,<NONE>,                                                'XkbSetNames',                                  \
        XkbSetPerClientControls                 ,<NONE>,                                                'XkbSetPerClientControls',                      \
        XkbSetServerInternalMods                ,<NONE>,                                                'XkbSetServerInternalMods',                     \
        XkbSetXlibControls                      ,<NONE>,                                                'XkbSetXlibControls',                           \
        XkbToControl                            ,<NONE>,                                                'XkbToControl',                                 \
        XkbTranslateKey                         ,<NONE>,                                                'XkbTranslateKey',                              \
        XkbTranslateKeyCode                     ,<NONE>,                                                'XkbTranslateKeyCode',                          \
        XkbTranslateKeySym                      ,<NONE>,                                                'XkbTranslateKeySym',                           \
        XkbUpdateActionVirtualMods              ,<NONE>,                                                'XkbUpdateActionVirtualMods',                   \
        XkbUpdateKeyTypeVirtualMods             ,<NONE>,                                                'XkbUpdateKeyTypeVirtualMods',                  \
        XkbUpdateMapFromCore                    ,<NONE>,                                                'XkbUpdateMapFromCore',                         \
        XkbUseExtension                         ,<NONE>,                                                'XkbUseExtension',                              \
        XkbVirtualModsToReal                    ,<NONE>,                                                'XkbVirtualModsToReal',                         \
        XkbXlibControlsImplemented              ,<NONE>,                                                'XkbXlibControlsImplemented',                   \
        XmbDrawImageString                      ,<NONE>,                                                'XmbDrawImageString',                           \
        XmbDrawString                           ,<NONE>,                                                'XmbDrawString',                                \
        XmbDrawText                             ,<NONE>,                                                'XmbDrawText',                                  \
        XmbLookupString                         ,<NONE>,                                                'XmbLookupString',                              \
        XmbResetIC                              ,<NONE>,                                                'XmbResetIC',                                   \
        XmbSetWMProperties                      ,<NONE>,                                                'XmbSetWMProperties',                           \
        XmbTextEscapement                       ,<NONE>,                                                'XmbTextEscapement',                            \
        XmbTextExtents                          ,<NONE>,                                                'XmbTextExtents',                               \
        XmbTextListToTextProperty               ,<NONE>,                                                'XmbTextListToTextProperty',                    \
        XmbTextPerCharExtents                   ,<NONE>,                                                'XmbTextPerCharExtents',                        \
        XmbTextPropertyToTextList               ,<NONE>,                                                'XmbTextPropertyToTextList',                    \
        Xpermalloc                              ,<NONE>,                                                'Xpermalloc',                                   \
        XrmCombineDatabase                      ,<NONE>,                                                'XrmCombineDatabase',                           \
        XrmCombineFileDatabase                  ,<NONE>,                                                'XrmCombineFileDatabase',                       \
        XrmDestroyDatabase                      ,<NONE>,                                                'XrmDestroyDatabase',                           \
        XrmEnumerateDatabase                    ,<NONE>,                                                'XrmEnumerateDatabase',                         \
        XrmGetDatabase                          ,<NONE>,                                                'XrmGetDatabase',                               \
        XrmGetFileDatabase                      ,<NONE>,                                                'XrmGetFileDatabase',                           \
        XrmGetResource                          ,<NONE>,                                                'XrmGetResource',                               \
        XrmGetStringDatabase                    ,<NONE>,                                                'XrmGetStringDatabase',                         \
        XrmInitialize                           ,<NONE>,                                                'XrmInitialize',                                \
        XrmLocaleOfDatabase                     ,<NONE>,                                                'XrmLocaleOfDatabase',                          \
        XrmMergeDatabases                       ,<NONE>,                                                'XrmMergeDatabases',                            \
        XrmParseCommand                         ,<NONE>,                                                'XrmParseCommand',                              \
        XrmPermStringToQuark                    ,<NONE>,                                                'XrmPermStringToQuark',                         \
        XrmPutFileDatabase                      ,<NONE>,                                                'XrmPutFileDatabase',                           \
        XrmPutLineResource                      ,<NONE>,                                                'XrmPutLineResource',                           \
        XrmPutResource                          ,<NONE>,                                                'XrmPutResource',                               \
        XrmPutStringResource                    ,<NONE>,                                                'XrmPutStringResource',                         \
        XrmQGetResource                         ,<NONE>,                                                'XrmQGetResource',                              \
        XrmQGetSearchList                       ,<NONE>,                                                'XrmQGetSearchList',                            \
        XrmQGetSearchResource                   ,<NONE>,                                                'XrmQGetSearchResource',                        \
        XrmQPutResource                         ,<NONE>,                                                'XrmQPutResource',                              \
        XrmQPutStringResource                   ,<NONE>,                                                'XrmQPutStringResource',                        \
        XrmQuarkToString                        ,<NONE>,                                                'XrmQuarkToString',                             \
        XrmSetDatabase                          ,<NONE>,                                                'XrmSetDatabase',                               \
        XrmStringToBindingQuarkList             ,<NONE>,                                                'XrmStringToBindingQuarkList',                  \
        XrmStringToQuark                        ,<NONE>,                                                'XrmStringToQuark',                             \
        XrmStringToQuarkList                    ,<NONE>,                                                'XrmStringToQuarkList',                         \
        XrmUniqueQuark                          ,<NONE>,                                                'XrmUniqueQuark',                               \
        Xutf8DrawImageString                    ,<NONE>,                                                'Xutf8DrawImageString',                         \
        Xutf8DrawString                         ,<NONE>,                                                'Xutf8DrawString',                              \
        Xutf8DrawText                           ,<NONE>,                                                'Xutf8DrawText',                                \
        Xutf8LookupString                       ,<NONE>,                                                'Xutf8LookupString',                            \
        Xutf8ResetIC                            ,<NONE>,                                                'Xutf8ResetIC',                                 \
        Xutf8SetWMProperties                    ,<NONE>,                                                'Xutf8SetWMProperties',                         \
        Xutf8TextEscapement                     ,<NONE>,                                                'Xutf8TextEscapement',                          \
        Xutf8TextExtents                        ,<NONE>,                                                'Xutf8TextExtents',                             \
        Xutf8TextListToTextProperty             ,<NONE>,                                                'Xutf8TextListToTextProperty',                  \
        Xutf8TextPerCharExtents                 ,<NONE>,                                                'Xutf8TextPerCharExtents',                      \
        Xutf8TextPropertyToTextList             ,<NONE>,                                                'Xutf8TextPropertyToTextList',                  \
        XwcDrawImageString                      ,<NONE>,                                                'XwcDrawImageString',                           \
        XwcDrawString                           ,<NONE>,                                                'XwcDrawString',                                \
        XwcDrawText                             ,<NONE>,                                                'XwcDrawText',                                  \
        XwcFreeStringList                       ,<NONE>,                                                'XwcFreeStringList',                            \
        XwcLookupString                         ,<NONE>,                                                'XwcLookupString',                              \
        XwcResetIC                              ,<NONE>,                                                'XwcResetIC',                                   \
        XwcTextEscapement                       ,<NONE>,                                                'XwcTextEscapement',                            \
        XwcTextExtents                          ,<NONE>,                                                'XwcTextExtents',                               \
        XwcTextListToTextProperty               ,<NONE>,                                                'XwcTextListToTextProperty',                    \
        XwcTextPerCharExtents                   ,<NONE>,                                                'XwcTextPerCharExtents',                        \
        XwcTextPropertyToTextList               ,<NONE>,                                                'XwcTextPropertyToTextList',                    \
        XUniqueContext                          ,<NONE>,                                                'XUniqueContext'




