; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: Network library.
;
;  Target OS: Any
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________

module "Network library"


struct TSocketAddress
  .saFamily  dw ?
  .saAddress rb 14
ends


struct TSocketAddressIn
  .saFamily  dw ?
  .saPort    dw ?
  .saAddress dd ?
  .saZero    rb 8
ends


include "%TargetOS%/network.asm"



proc SocketSendStr, .hSocket, .hString
begin
        pushd   0
        stdcall StrLen, [.hString]
        push    eax
        stdcall StrPtr, [.hString]
        stdcall SocketSend, [.hSocket], eax     ; remaining arguments from the stack.
        return
endp





endmodule