; This file contains application level error codes for using with
; GetLastError/SetLastError functions inside Fresh IDE
; LastError and ErrorMessage functions uses these error codes
; together with system error codes to create error messagebox.
;----------------------------------------------------------------

errFresh = $20000000   ; 29-th bit set for application defined error codes.

; This error does not generate messagebox window. Fresh simply does nothing.
errCanceled = 1 + errFresh ; The operation was canceled. No error should be generated.
errLoadBmp  = 2 + errFresh ; LoadImage API can't load specified bitmap.


iglobal
  label FreshErrorMessages dword
  IndexedStrings       \
    errCanceled, 'Canceled operation.', \
    errLoadBmp,  "LoadImage API can't load specified bitmap image."

  errmsgUnknownError text 'Unknown Fresh error reported. Probably bug...'
endg