; One file may contains description of more than one control.
; Look at 'DesignTimeInfo' macro definition.
;
; This file must be compiled with FASM compiler to get binary
; file. It will be compiled as .BIN file. This is not executable
; file. Don't start it.

include '..\..\..\source\designtime.inc'
include 'winconst.inc'


DesignTimeInfo                                     \
                                                   \       ; 1. SCROLLBAR CONTROL
        'SCROLLBAR',                               \
        'Horizontal scrollbar control',            \
        'Standard',                                \
        '',                                        \
        WS_VISIBLE+WS_CHILD,                       \       ; default style
        0,                                         \       ; default ex style
        128, 16,                                   \
        <                                          \       ; style names
           SBS_BOTTOMALIGN,  "Aligns scrollbar to the bottom of the client area",   \
           SBS_TOPALIGN,     "Aligns scrollbar to the top of the client area",   \
           SBS_BOTTOMALIGN,  "Aligns scrollbar to the left side of the client area",   \
           SBS_TOPALIGN,     "Aligns scrollbar to the right side of the client area"   \
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        $00000000,                                 \            ; This is StyleMaskAnd
        WS_CHILD,                                  \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00000000,                                 \            ; This is StyleExMaskOr
        $00000001,                                 \            ; This is SubtypeMask
        <                                          \
          SBS_HORZ, 'Horizontal scrollbar',\
          SBS_VERT, 'Vertical scrollbar'\
        >,                                         \            ; This is SubtipeRange
        NONE,                                      \            ; Library file NULL, because it's standard component.
        'hscrollbar.ico',                          \            ; Image for icon
\
\ ; Vertical scrollbar control.
\
        'SCROLLBAR',                               \
        'Sizebox control',                         \
        'Standard',                                \
        ''      ,                                  \
        WS_VISIBLE+WS_CHILD+SBS_SIZEBOX,           \       ; default style
        0,                                         \       ; default ex style
        16, 16,                                    \
        <                                          \       ; style names
           SBS_SIZEBOXBOTTOMRIGHTALIGN,  "Aligns sizebox to the the lower right of the client area",   \
           SBS_SIZEBOXTOPLEFTALIGN,  "Aligns sizebox to the the upper left of the client area"   \
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        $00000000,                                 \            ; This is StyleMaskAnd
        WS_CHILD+SBS_SIZEBOX,                      \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00000000,                                 \            ; This is StyleExMaskOr
        $00000001,                                 \            ; This is SubtypeMask
        <                                          \
          SBS_SIZEBOX, 'Standard sizebox',         \
          SBS_SIZEGRIP, 'SizeGrip'                 \
        >,                                         \            ; This is SubtipeRange
        NONE,                                      \            ; Library file NULL, because it's standard component.
        'sizebox.ico'