;<ff
Window frmMainWindow, 2, 0, 'TForm', 'Pluggy', $16080000, $0, 0, 231, 202, 320, 240, MainWindowProc;
;ff>
PM_SHELLNOTIFY = WM_USER + 1

IDI_TRAY     = 0
IDM_EXIT     = 100
IDM_SHOWHIDE = 101


iglobal
  szShowHide db "&Show/Hide", 0
  szExit     db "&Exit", 0
endg

uglobal
  nid          NOTIFYICONDATA
  uVisibleFlag dd ?
  hTrayMenu    dd ?
endg


winproc MainWindowProc
begin

ondefault
        stc
        return

onmessage FM_AFTERCREATE

        mov     [nid.cbSize],sizeof.NOTIFYICONDATA              ; prepare tray icon
        push    [.hwnd]
        pop     [nid.hWnd]
        mov     [nid.uID],IDI_TRAY
        mov     [nid.uFlags],NIF_ICON+NIF_MESSAGE+NIF_TIP
        mov     [nid.uCallbackMessage],PM_SHELLNOTIFY
        invoke  LoadIconA, NULL,IDI_WINLOGO
        mov     [nid.hIcon],eax
        mov     dword[nid.szTip],"Tray"
        mov     dword[nid.szTip+4], "Demo"
        invoke  Shell_NotifyIconA, NIM_ADD,nid

        invoke  CreatePopupMenu                 ; create tray popup menu - here you
        mov     [hTrayMenu],eax                 ; can add your own menu items
        invoke  AppendMenuA, eax,MF_STRING,IDM_SHOWHIDE,szShowHide
        invoke  AppendMenuA, [hTrayMenu],MF_STRING,IDM_EXIT,szExit
        clc
        return

onmessage WM_DESTROY
        invoke  Shell_NotifyIconA, NIM_DELETE,nid
        invoke  DestroyMenu, [hTrayMenu]
        invoke  PostQuitMessage, 0
        clc
        return

onmessage WM_COMMAND
        cmp     [.lparam],0
        jne     .ondefault

        mov     eax,[.wparam]           ; handle tray popup menu actions
        cmp     eax,IDM_SHOWHIDE        ;
        je      .showhide
        cmp     eax,IDM_EXIT
        je      .idm_exit
        stc
        return

  .idm_exit:
        invoke  DestroyWindow, [.hwnd]
        clc
        return


onmessage WM_CLOSE
        jmp     .hide

onmessage PM_SHELLNOTIFY                ; handle tray icons actions:
locals                                  ;  left mouse button - show/hide window
  .pt POINT                             ;  right mouse button - show tray popup menu
endl
        cmp     [.lparam],WM_LBUTTONDOWN
        je      .showhide
        cmp     [.lparam],WM_RBUTTONDOWN
        je      .show_tray_popup
        jmp     .finish
  .showhide:
        cmp     [uVisibleFlag],0
        je      .show
      .hide:
        invoke  ShowWindow, [.hwnd],SW_HIDE
        mov     [uVisibleFlag], 0
        jmp     .finish
      .show:
        invoke  ShowWindow, [.hwnd],SW_SHOW
        mov     [uVisibleFlag], 1
        invoke  SetActiveWindow, [.hwnd]
        jmp     .finish
  .show_tray_popup:
        lea     eax,[.pt]
        invoke  GetCursorPos, eax
        invoke  SetForegroundWindow, [.hwnd]
        invoke  TrackPopupMenu, [hTrayMenu],TPM_RIGHTALIGN,[.pt.x],[.pt.y],\
                                NULL,[.hwnd],NULL
        invoke  PostMessageA, [.hwnd],WM_NULL,0,0
  .finish:
        clc
        return
endwp
