;<ff
Window frmHelpList, 3, 0, 'TForm', 'Help files list', $4C80000, $110001, 0, 270, 206, 320, 210, HelpFileWinProc;
Window NONE, 0, 3, 'LISTBOX', 'Listbox', $50810541, $200, 100, 0, 0, 312, 144, 0;
Window NONE, 0, 0, 'BUTTON', 'OK', $50010001, $0, 1, 90, 152, 64, 25, 0;
Window NONE, 2, 0, 'BUTTON', 'Cancel', $50010000, $0, 2, 158, 152, 64, 25, 0;
;ff>
idHelpList = 100

proc OnOpenHelpFile, .wparam, .lparam
begin
        pushad

        stdcall CreateForm, frmHelpList, [hApplication]

        mov     esi, [ptrHelpFiles]
        test    esi, esi
        jz      .finish

        cmp    [esi+TArray.count], 0
        je     .finish

        xor     edi, edi
.loop:
        stdcall StrPtr, [esi+TArray.array+4*edi]
        mov     ecx, [eax+string.len]

.loop2:
        dec     ecx
        js      .found

        cmp     byte [eax+ecx], '/'
        je      .found
        cmp     byte [eax+ecx], '\'
        jne     .loop2

.found:
        inc     ecx
        lea     eax, [eax+ecx]
        invoke  SendDlgItemMessageA, ebx, idHelpList, LB_ADDSTRING, 0, eax
        test    eax, eax
        js      .next

        invoke  SendDlgItemMessageA, ebx, idHelpList, LB_SETITEMDATA, eax, [esi+TArray.array+4*edi]

.next:
        inc     edi
        cmp     edi, [esi+TArray.count]
        jne     .loop

        stdcall ShowModal, ebx, MSF_CENTER
        cmp     eax, MR_OK
        jne     .finish

        invoke  SendDlgItemMessageA, ebx, idHelpList, LB_GETCURSEL, 0, 0
        test    eax, eax
        js      .finish

        invoke  SendDlgItemMessageA, ebx, idHelpList, LB_GETITEMDATA, eax, 0

        stdcall SearchOneHelp, eax, 0, TRUE

.finish:
        invoke  DestroyWindow, ebx
        popad
        return
endp





winproc HelpFileWinProc
begin

ondefault
        stc
        return

onmessage WM_COMMAND
        cmp     word [.wparam+2], LBN_DBLCLK
        jne     .ondefault

        invoke  SetPropA, [.hwnd], [propModalResult], MR_OK
        xor     eax, eax
        clc
        return
endwp