;<ff
Window frmLabelInfo, 2, 0, 'TForm', 'Cross reference', $60C0000, $10080, 0, 579, 147, 400, 240, LabelInfoWinProc;
;ff>

winproc LabelInfoWinProc
.lvi LVITEM
begin


ondefault
        stc
        return

onmessage WM_COMMAND

        cmp     [.wparam], MR_OK
        je      .onenter

        cmp     [.wparam], MR_CANCEL
        jne     .ondefault

        invoke  PostMessageA, [.hwnd], WM_CLOSE, 0, 0
        jmp     .ondefault

.onenter:
        invoke  GetDlgItem, [.hwnd], idLabelProp
        invoke  GetDlgItem, eax, idXRefList
        mov     ebx, eax

        invoke  SendMessageA, ebx, LVM_GETNEXTITEM, -1, LVNI_FOCUSED
        cmp     eax, -1
        je      .ondefault

        mov     [.lvi.iItem], eax

        stdcall GetMem, 2048    ; buffer for the filename
        mov     edi, eax

        mov     [.lvi.mask], LVIF_PARAM or LVIF_TEXT
        mov     [.lvi.iSubItem], 2        ; file name pointer
        mov     [.lvi.pszText], edi
        mov     [.lvi.cchTextMax], 2000
        lea     eax, [.lvi]
        invoke  SendMessageA, ebx, LVM_GETITEM, 0, eax

        stdcall PosEditor, edi, [.lvi.lParam]

        stdcall FreeMem, edi

        invoke  SetFocus, [.hwnd]
        clc
        return


onmessage FM_AFTERCREATE

        stdcall CreateForm, frmLabelProp, [.hwnd]
        stdcall SetAlign, ebx, waClient
        invoke  SetWindowLongA, ebx, GWL_ID, idLabelProp

        clc
        return


onmessage WM_CLOSE

        invoke  DestroyWindow, [.hwnd]
        clc
        return


endwp







;-----------------------------------------------------------------------

uglobal
  hLabelInfo dd ?
endg


proc OnShowXRef, .wparam, .lparam
.aedit  dd ?
.aepos  AEPOS
.prefix rb 512
.str rb 512
.rect RECT
begin
        stdcall WaitForCompiler
        jc      .missing_info

        mov     edi, [ptrPreprocessed]
        test    edi, edi
        jz      .missing_info

        invoke  SendMessageA, [hEditorsHost], EHM_GETCURRENTASMEDIT, 0, 0
        test    eax, eax
        jz      .finish

        mov     [.aedit], eax

        lea     esi, [.str]
        invoke  SendMessageA, eax, AEM_GETWORDATCARET, 512, esi
        cmp     byte [esi], 0
        je      .finish

        cmp     byte [esi], '.'
        jne     .localok

        lea     eax, [.aepos]
        invoke  SendMessageA, [.aedit], AEM_GETPOS, eax, 0

        stdcall SearchForLabelPrefix, [.aedit], [.aepos.caretLine]
        mov     edx, eax

        stdcall StrLen, edx
        mov     ecx, eax
        jecxz   .localok        ; the prefix was not found or there is no prefix.

        stdcall StrPtr, edx
        lea     ebx, [eax+ecx]  ; the end of the string

.copy_prefix:
        dec     ebx
        mov     al, [ebx]
        dec     esi
        mov     [esi], al
        loop    .copy_prefix

; here esi contains a pointer to the whole name including the parent label.
.localok:
        stdcall SearchTreeExact, esi, ptrLabels
        test    eax, eax
        jz      .finish

;        test    [eax+TLabel.flags], lfDefined
;        jz      .finish

        mov     esi, eax

        cmp     [hLabelInfo], 0
        je      .prevok

        invoke  DestroyWindow, [hLabelInfo]

.prevok:

        lea     eax, [.rect]
        invoke  GetWindowRect, [hEditorsHost], eax

        sub     [.rect.right], 440
        add     [.rect.top], 32

        stdcall CreateForm, frmLabelInfo, [hEditorsHost]
        mov     [hLabelInfo], ebx
        invoke  GetDlgItem, ebx, idLabelProp
        push    eax
        invoke  GetDlgItem, eax, 1
        invoke  ShowWindow, eax, SW_HIDE
        stdcall AlignChildren ; from the stack

        invoke  SetWindowPos, ebx, 0, [.rect.right], [.rect.top], 0, 0, SWP_NOSIZE or SWP_NOZORDER or SWP_SHOWWINDOW or SWP_NOACTIVATE
        invoke  SendDlgItemMessageA, ebx, idLabelProp, LPR_DISPLAY, 0, esi

.finish:
        return

.missing_info:
        invoke  MessageBoxA, [hEditorsHost], cErrorNotCompiled, 0, MB_OK or MB_ICONINFORMATION
        jmp     .finish
endp
